Upstream information

CVE-2012-3406 at MITRE

Description

The vfprintf function in stdio-common/vfprintf.c in GNU C Library (aka glibc) 2.5, 2.12, and probably other versions does not "properly restrict the use of" the alloca function when allocating the SPECS array, which allows context-dependent attackers to bypass the FORTIFY_SOURCE format-string protection mechanism and cause a denial of service (crash) or possibly execute arbitrary code via a crafted format string using positional parameters and a large number of format specifiers, a different vulnerability than CVE-2012-3404 and CVE-2012-3405.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 770891 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
sledsp2-glibc
SUSE Linux Enterprise Desktop 12 SP2
  • glibc >= 2.22-49.16
  • glibc-32bit >= 2.22-49.16
  • glibc-devel >= 2.22-49.16
  • glibc-devel-32bit >= 2.22-49.16
  • glibc-i18ndata >= 2.22-49.16
  • glibc-locale >= 2.22-49.16
  • glibc-locale-32bit >= 2.22-49.16
  • nscd >= 2.22-49.16
SUSE Linux Enterprise Desktop 12 SP3
  • glibc >= 2.22-61.3
  • glibc-32bit >= 2.22-61.3
  • glibc-devel >= 2.22-61.3
  • glibc-devel-32bit >= 2.22-61.3
  • glibc-i18ndata >= 2.22-61.3
  • glibc-locale >= 2.22-61.3
  • glibc-locale-32bit >= 2.22-61.3
  • nscd >= 2.22-61.3
SUSE Linux Enterprise Desktop 12 SP4
  • glibc >= 2.22-15.3
  • glibc-32bit >= 2.22-15.3
  • glibc-devel >= 2.22-15.3
  • glibc-devel-32bit >= 2.22-15.3
  • glibc-i18ndata >= 2.22-15.3
  • glibc-locale >= 2.22-15.3
  • glibc-locale-32bit >= 2.22-15.3
  • nscd >= 2.22-15.3
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • glibc >= 2.22-100.15.4
  • glibc-32bit >= 2.22-100.15.4
  • glibc-devel >= 2.22-100.15.4
  • glibc-devel-32bit >= 2.22-100.15.4
  • glibc-html >= 2.22-100.15.4
  • glibc-i18ndata >= 2.22-100.15.4
  • glibc-info >= 2.22-100.15.4
  • glibc-locale >= 2.22-100.15.4
  • glibc-locale-32bit >= 2.22-100.15.4
  • glibc-profile >= 2.22-100.15.4
  • glibc-profile-32bit >= 2.22-100.15.4
  • nscd >= 2.22-100.15.4
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • glibc >= 2.26-13.19.1
  • glibc-32bit >= 2.26-13.19.1
  • glibc-devel >= 2.26-13.19.1
  • glibc-extra >= 2.26-13.19.1
  • glibc-i18ndata >= 2.26-13.19.1
  • glibc-info >= 2.26-13.19.1
  • glibc-locale >= 2.26-13.19.1
  • glibc-locale-32bit >= 2.26-8.21
  • glibc-locale-base >= 2.26-13.19.1
  • glibc-profile >= 2.26-13.19.1
  • nscd >= 2.26-13.19.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • glibc >= 2.26-13.48.1
  • glibc-32bit >= 2.26-13.48.1
  • glibc-devel >= 2.26-13.48.1
  • glibc-extra >= 2.26-13.48.1
  • glibc-i18ndata >= 2.26-13.48.1
  • glibc-info >= 2.26-13.48.1
  • glibc-locale >= 2.26-13.48.1
  • glibc-locale-32bit >= 2.26-8.21
  • glibc-locale-base >= 2.26-13.48.1
  • glibc-locale-base-32bit >= 2.26-13.48.1
  • glibc-profile >= 2.26-13.48.1
  • nscd >= 2.26-13.48.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • glibc >= 2.31-7.30
  • glibc-32bit >= 2.31-7.20
  • glibc-devel >= 2.31-7.30
  • glibc-extra >= 2.31-7.30
  • glibc-i18ndata >= 2.31-7.30
  • glibc-info >= 2.31-7.30
  • glibc-lang >= 2.31-7.30
  • glibc-locale >= 2.31-7.30
  • glibc-locale-32bit >= 2.26-13.8.1
  • glibc-locale-base >= 2.31-7.30
  • glibc-locale-base-32bit >= 2.31-7.20
  • glibc-profile >= 2.31-7.30
  • nscd >= 2.31-7.30
SUSE Linux Enterprise Module for Basesystem 15
  • glibc >= 2.26-11.8
  • glibc-32bit >= 2.26-11.8
  • glibc-devel >= 2.26-11.8
  • glibc-extra >= 2.26-11.8
  • glibc-i18ndata >= 2.26-11.8
  • glibc-info >= 2.26-11.8
  • glibc-locale >= 2.26-11.8
  • glibc-locale-32bit >= 2.26-11.8
  • glibc-profile >= 2.26-11.8
  • nscd >= 2.26-11.8
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • glibc-devel-32bit >= 2.26-8.21
  • glibc-devel-static >= 2.26-13.19.1
  • glibc-utils >= 2.26-13.19.1
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • glibc-devel-32bit >= 2.26-13.48.1
  • glibc-devel-static >= 2.26-13.48.1
  • glibc-utils >= 2.26-13.48.1
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • glibc-devel-32bit >= 2.31-7.20
  • glibc-devel-static >= 2.31-7.30
  • glibc-utils >= 2.31-7.1
SUSE Linux Enterprise Module for Development Tools 15
  • glibc-devel-32bit >= 2.26-11.8
  • glibc-devel-static >= 2.26-11.8
  • glibc-utils >= 2.26-11.8
SUSE Linux Enterprise Server 11 SP1-LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-32bit >= 2.11.1-0.58.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-devel-32bit >= 2.11.1-0.58.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-locale-32bit >= 2.11.1-0.58.1
  • glibc-profile >= 2.11.1-0.50.1
  • glibc-profile-32bit >= 2.11.1-0.58.1
  • libxcrypt >= 3.0.3-0.4.1
  • libxcrypt-32bit >= 3.0.3-0.4.1
  • nscd >= 2.11.1-0.50.1
  • pam-modules >= 11-1.18.1
  • pam-modules-32bit >= 11-1.18.1
  • pwdutils >= 3.2.8-0.4.1
  • pwdutils-plugin-audit >= 3.2.8-0.4.1
Patchnames:
slessp1-glibc
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.45.53.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.45.53.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.45.53.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.45.53.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Server 12 SP2
  • glibc >= 2.22-49.16
  • glibc-32bit >= 2.22-49.16
  • glibc-devel >= 2.22-49.16
  • glibc-devel-32bit >= 2.22-49.16
  • glibc-html >= 2.22-49.16
  • glibc-i18ndata >= 2.22-49.16
  • glibc-info >= 2.22-49.16
  • glibc-locale >= 2.22-49.16
  • glibc-locale-32bit >= 2.22-49.16
  • glibc-profile >= 2.22-49.16
  • glibc-profile-32bit >= 2.22-49.16
  • nscd >= 2.22-49.16
SUSE Linux Enterprise Server 12 SP3
  • glibc >= 2.22-61.3
  • glibc-32bit >= 2.22-61.3
  • glibc-devel >= 2.22-61.3
  • glibc-devel-32bit >= 2.22-61.3
  • glibc-html >= 2.22-61.3
  • glibc-i18ndata >= 2.22-61.3
  • glibc-info >= 2.22-61.3
  • glibc-locale >= 2.22-61.3
  • glibc-locale-32bit >= 2.22-61.3
  • glibc-profile >= 2.22-61.3
  • glibc-profile-32bit >= 2.22-61.3
  • nscd >= 2.22-61.3
SUSE Linux Enterprise Server 12 SP4
  • glibc >= 2.22-15.3
  • glibc-32bit >= 2.22-15.3
  • glibc-devel >= 2.22-15.3
  • glibc-devel-32bit >= 2.22-15.3
  • glibc-html >= 2.22-15.3
  • glibc-i18ndata >= 2.22-15.3
  • glibc-info >= 2.22-15.3
  • glibc-locale >= 2.22-15.3
  • glibc-locale-32bit >= 2.22-15.3
  • glibc-profile >= 2.22-15.3
  • glibc-profile-32bit >= 2.22-15.3
  • nscd >= 2.22-15.3
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • glibc >= 2.22-49.16
  • glibc-devel >= 2.22-49.16
  • glibc-html >= 2.22-49.16
  • glibc-i18ndata >= 2.22-49.16
  • glibc-info >= 2.22-49.16
  • glibc-locale >= 2.22-49.16
  • glibc-profile >= 2.22-49.16
  • nscd >= 2.22-49.16
SUSE Linux Enterprise Server for VMWare 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.45.49.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.45.49.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.45.49.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.45.49.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Software Development Kit 11 SP2
  • glibc-html >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
Patchnames:
sdksp2-glibc
SUSE Linux Enterprise Software Development Kit 12 SP2
  • glibc-devel-static >= 2.22-49.16
  • glibc-info >= 2.22-49.16
SUSE Linux Enterprise Software Development Kit 12 SP3
  • glibc-devel-static >= 2.22-61.3
  • glibc-info >= 2.22-61.3
SUSE Linux Enterprise Software Development Kit 12 SP4
  • glibc-devel-static >= 2.22-15.3
  • glibc-info >= 2.22-15.3
SUSE Linux Enterprise Software Development Kit 12 SP5
  • glibc-devel-static >= 2.22-100.15.4
  • glibc-info >= 2.22-100.15.4
openSUSE Leap 15.0
  • glibc >= 2.26-lp150.10.13
  • glibc-32bit >= 2.26-lp150.10.13
  • glibc-extra >= 2.26-lp150.10.13
  • glibc-locale >= 2.26-lp150.10.13
  • glibc-locale-32bit >= 2.26-lp150.10.13
  • nscd >= 2.26-lp150.10.13
Patchnames:
openSUSE Leap 15.0 GA glibc-2.26-lp150.10.13
openSUSE Tumbleweed
  • glibc >= 2.24-2.3
  • glibc-32bit >= 2.24-2.3
  • glibc-devel >= 2.24-2.3
  • glibc-devel-32bit >= 2.24-2.3
  • glibc-devel-static >= 2.24-2.3
  • glibc-devel-static-32bit >= 2.24-2.3
  • glibc-extra >= 2.24-2.3
  • glibc-html >= 2.24-2.3
  • glibc-i18ndata >= 2.24-2.3
  • glibc-info >= 2.24-2.3
  • glibc-locale >= 2.24-2.3
  • glibc-locale-32bit >= 2.24-2.3
  • glibc-obsolete >= 2.24-2.3
  • glibc-profile >= 2.24-2.3
  • glibc-profile-32bit >= 2.24-2.3
  • glibc-utils >= 2.24-2.3
  • glibc-utils-32bit >= 2.24-2.3
  • nscd >= 2.24-2.3
Patchnames:
openSUSE Tumbleweed GA glibc-2.24-2.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 glibc Already fixed
SLED-10-SP3 glibc Released
SLED-10-SP4 glibc Released
SLES for SAP Applications glibc Affected
SLES-10-SP3 glibc Released
SLES-10-SP4 glibc Released
SLES_LTSS-10-SP4 glibc Released
SUSE CaaS Platform 4.0 glibc Already fixed
SUSE Enterprise Storage 6 glibc Already fixed
SUSE Linux Enterprise Desktop 11 SP1 glibc Released
SUSE Linux Enterprise Desktop 11 SP2 glibc Affected
SUSE Linux Enterprise Desktop 11 SP3 glibc Affected
SUSE Linux Enterprise Desktop 11 SP4 glibc Affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search glibc Released
SUSE Linux Enterprise High Performance Computing 15 LTSS glibc Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS glibc Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 glibc Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP2 glibc Already fixed
SUSE Linux Enterprise Server 11 SP1 glibc Released
SUSE Linux Enterprise Server 11 SP1 LTSS glibc Released
SUSE Linux Enterprise Server 11 SP2 glibc Affected
SUSE Linux Enterprise Server 11 SP2 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP2 for VMware glibc Affected
SUSE Linux Enterprise Server 11 SP3 glibc Affected
SUSE Linux Enterprise Server 11 SP3 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP3 for VMware glibc Affected
SUSE Linux Enterprise Server 11 SP4 glibc Affected
SUSE Linux Enterprise Server 11 SP4 LTSS glibc Affected
SUSE Linux Enterprise Server 12 SP2 BCL glibc Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON glibc Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS SAP glibc Already fixed
SUSE Linux Enterprise Server 12 SP3 BCL glibc Already fixed
SUSE Linux Enterprise Server 12 SP3 ESPOS glibc Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS glibc Already fixed
SUSE Linux Enterprise Server 15 LTSS glibc Already fixed
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux glibc Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS glibc Already fixed
SUSE Linux Enterprise Server ESPOS 15 glibc Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 glibc Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 glibc Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 glibc Already fixed
SUSE Linux Enterprise Server for SAP Business All-in-One glibc Released
SUSE Linux Enterprise Software Development Kit 11 SP1 glibc Released
SUSE Linux Enterprise Software Development Kit 11 SP2 glibc Affected
SUSE Linux Enterprise Software Development Kit 11 SP3 glibc Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 glibc Affected
SUSE Manager Proxy 4.0 glibc Already fixed
SUSE Manager Retail Branch Server 4.0 glibc Already fixed
SUSE Manager Server 4.0 glibc Already fixed
SUSE OpenStack Cloud 8 glibc Already fixed
SUSE OpenStack Cloud Crowbar 8 glibc Already fixed